Post
/v2/extranet/total-usage
Get extranet service total usage stats
Security
API Key: jwtAuth
Header parameter nameauthorization
Use Bearer <token>
Header parameters
Authorization
stringRequired
Bearer token. Format: Bearer <your_token_here>
Body parameters
object
id
integer (int64) Required
the ID associated with an entity - consumer_id for consumer, and service_id for the producer/service (required)
Example1
isB2B
boolean Required
whether the entity is a b2b entity (true for b2b entity, false for local extranet entity) (required)
Exampletrue
isProvider
boolean Required
whether the entity is a provider or consumer (required)
Exampletrue
timeWindow
object (statsmonTimeWindow) Required
bucketSizeSec
integer (int32) Required
the size of the time window in seconds (required)
Minimum0
Example300
oldTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
recentTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
Responses
200
OK
object
usage
number (double)
total service usage in kilo bytes
Example1000000